CREATE OR REPLACE VIEW SIGMA_FRO.V_EQUIPAMENTO AS
SELECT equipamento.codigo_equipamento,
       equipamento.codigo_grupo_modelo,
       equipamento.codigo_frente,
       equipamento.codigo_material,
       equipamento.codigo_objeto_custo,
       equipamento.codigo_denominacao,
       equipamento.codigo_marca,
       equipamento.codigo_modelo,
       equipamento.codigo_tipo,
       equipamento.codigo_grupo,
       equipamento.codigo_proprietario,
       equipamento.codigo_cor,
       equipamento.ano_modelo,
       equipamento.numero_chassis,
       equipamento.capacidade_carga,
       equipamento.capacidade_m3,
       equipamento.numero_placa,
       equipamento.ativo_inativo,
       equipamento.odometro_horimetro,
       equipamento.media_consumo,
       equipamento.capacidade_tanque,
       equipamento.vida_util,
       equipamento.data_aquisicao,
       equipamento.valor_aquisicao,
       equipamento.observacao,
       equipamento.data_baixa,
       equipamento.kmhs_revisao,
       equipamento.percentual_remonta,
       equipamento.numero_patrimonio,
       equipamento.condicao_equipamento,
       equipamento.valor_depreciacao,
       equipamento.valor_rem_capital,
       equipamento.limite_depreciacao,
       equipamento.tipo_depreciacao,
       equipamento.odometro_horimetro_quebrado,
       equipamento.ultimo_odometro_horimetro,
       equipamento.ultima_operacao,
       equipamento.odometro_horimetro_anterior,
       equipamento.vida_util_anterior,
       equipamento.operacao_anterior,
       equipamento.situacao,
       equipamento.tipo_logistica,
       equipamento.origem,
       equipamento.numero_motor,
       equipamento.numero_serie,
       equipamento.id_mantenedor,
       equipamento.placa_carreta,
       equipamento.rntrc,
       equipamento.tara_kg,
       equipamento.cidade_placa,
       equipamento.uf_placa,
       equipamento.tipo_rodado,
       equipamento.tipo_carroceria,
       equipamento.renavam,
       equipamento.id_categoria_meta,
       categoria_meta.descricao descricao_categoria_meta,
       substr(sigma_fro.descricao_equipamento(equipamento.codigo_equipamento),01,30) descricao_equipamento,
       objeto_custo.descricao descricao_objeto_custo,
       grupo.descricao descricao_grupo,
       denominacao.descricao descricao_denominacao,
       marca.descricao descricao_marca,
       modelo.descricao descricao_modelo,
       tipo_frota.descricao descricao_tipo,
       proprietario.descricao descricao_proprietario,
       proprietario.CNPJ_CPF cpf_cnpj_proprietario  ,
       cor.descricao descricao_cor,
       material.nome nome_material,
       mantenedor.descricao descricao_mantenedor,
       equipamento.id_bem  ,
       equipamento.situacao_bloqueio ,
       equipamento.id_entidade_motorista  ,
       ep.endereco endereco_proprietario ,
       ep.numero numero_proprietario ,
       ep.bairro bairro_proprietario ,
       ep.cidade cidade_proprietario ,
       ep.uf uf_proprietario  ,
       ep.cep cep_proprietario ,
       ep.fone fone_proprietario ,
       dtf.eixos,
       equipamento.RNTRC_SITUACAO,
       equipamento.RNTRC_DATA_VALIDADE,
       equipamento.carimbo_recepcao,
       EQUIPAMENTO.id_integracao_Ravex,
       EQUIPAMENTO.RASTREADOR,
       EQUIPAMENTO.ID_FABRICANTE,
       EQUIPAMENTO.ID_TIPO_COMUNICACAO
  FROM SIGMA_FRO.EQUIPAMENTO,
       SIGMA_GER.OBJETO_CUSTO,
       SIGMA_FRO.GRUPO,
       SIGMA_FRO.DENOMINACAO,
       SIGMA_FRO.MARCA,
       SIGMA_FRO.MODELO,
       SIGMA_FRO.TIPO_FROTA,
       SIGMA_FRO.PROPRIETARIO,
       SIGMA_FRO.COR,
       SIGMA_MAT.MATERIAL,
       SIGMA_FRO.MANTENEDOR,
       SIGMA_FIS.CATEGORIA_META ,
       SIGMA_VEN.ENTIDADE EP  ,
       SIGMA_FRO.V_DESCRICAO_TIPO_FROTA DTF
 WHERE EQUIPAMENTO.CODIGO_OBJETO_CUSTO = OBJETO_CUSTO.CODIGO_OBJETO_CUSTO(+)
   AND EQUIPAMENTO.CODIGO_GRUPO = GRUPO.CODIGO_GRUPO(+)
   AND EQUIPAMENTO.CODIGO_DENOMINACAO = DENOMINACAO.CODIGO_DENOMINACAO(+)
   AND EQUIPAMENTO.CODIGO_MARCA = MARCA.CODIGO_MARCA(+)
   AND EQUIPAMENTO.CODIGO_MODELO = MODELO.CODIGO_MODELO(+)
   AND EQUIPAMENTO.CODIGO_TIPO = TIPO_FROTA.CODIGO_TIPO(+)
   AND EQUIPAMENTO.CODIGO_PROPRIETARIO = PROPRIETARIO.CODIGO_PROPRIETARIO(+)
   AND EQUIPAMENTO.CODIGO_COR = COR.CODIGO_COR(+)
   AND EQUIPAMENTO.CODIGO_MATERIAL = MATERIAL.CODIGO_MATERIAL(+)
   AND EQUIPAMENTO.ID_MANTENEDOR = MANTENEDOR.ID_MANTENEDOR(+)
   AND EQUIPAMENTO.ID_CATEGORIA_META = CATEGORIA_META.ID_CATEGORIA_META (+)
   AND TIPO_FROTA.TIPO = DTF.CODIGO(+)
   AND EP.CPF_CNPJ(+)    = PROPRIETARIO.CNPJ_CPF;
